Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 289 - epson stylus color device prints errors across page
Summary: epson stylus color device prints errors across page
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ghostscript
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-04 04:12 UTC by Jay Kulpinski
Modified: 2017-11-16 13:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-07 23:54:11 UTC


Attachments (Terms of Use)

Description Jay Kulpinski 1998-12-04 04:12:36 UTC
"statusdict begin product end" is not properly detected
as it returns "GNU Ghostscript" instead of the expected
"Ghostscript".  The postscript files can be fixed in
/usr/share/ghostscript/4.03 :

*** stcinfo.ps.orig     Thu Dec  3 22:56:43 1998
--- stcinfo.ps  Thu Dec  3 22:57:54 1998
***************
*** 30,36 ****
  % use either existing STCinfo-dictionary, retrieve new one
or create dummy

  statusdict begin product end
! dup (Ghostscript) eq exch (Aladdin Ghostscript) eq or{

    currentdevice getdeviceprops .dicttomark
    dup /Name get (stcolor) eq /STCi_onstc exch def
--- 30,37 ----
  % use either existing STCinfo-dictionary, retrieve new one
or create dummy

  statusdict begin product end
! dup (Ghostscript) eq exch dup (Aladdin Ghostscript) eq
exch
! (GNU Ghostscript) eq or or{

    currentdevice getdeviceprops .dicttomark
    dup /Name get (stcolor) eq /STCi_onstc exch def
*** stcolor.ps.orig     Thu Dec  3 22:56:43 1998
--- stcolor.ps  Thu Dec  3 22:57:54 1998
***************
*** 31,38 ****
  % a message is send to the output. If this message bothers
you, remove it,
  % but I prefer to know why the device-setup failed.

! statusdict begin product end
! dup (Ghostscript) eq exch (Aladdin Ghostscript) eq or{

  % fetch the current device-parameters this is specific for
Ghostscript.

--- 31,39 ----
  % a message is send to the output. If this message bothers
you, remove it,
  % but I prefer to know why the device-setup failed.

! statusdict begin product end
! dup (Ghostscript) eq exch dup (Aladdin Ghostscript) eq
exch
! (GNU Ghostscript) eq or or{

  % fetch the current device-parameters this is specific for
Ghostscript.

Comment 1 Jay Turner 1998-12-09 18:38:59 UTC
I don't have such a printer to evaluate this patch.

Comment 2 David Lawrence 1998-12-10 17:34:59 UTC
We will need to get one of these printers into the test lab to
accurately test this problem.

Comment 3 openshift-github-bot 2017-11-16 13:53:31 UTC
Commits pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/c2622f7e98cfde295392fc96cc6e5999adfca283
resolves issue #289

https://github.com/openshift/openshift-ansible/commit/e052839a463f3c09a9a31bd6d4a1fa4bc2a267f0
Merge pull request #290 from cooktheryan/atomic-exclude

resolves issue #289


Note You need to log in before you can comment on or make changes to this bug.